var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
import * as React from "react";
import LoadingButton from "@mui/lab/LoadingButton";
import Stack from "@mui/material/Stack";
import Alert from "@mui/material/Alert";
import ModalTitle from "./Title";
import DialogContent from "@mui/material/DialogContent";
import { useConnect } from "wagmi";
import StyledModal from "./StyledModal";
import Box from "@mui/material/Box";
import { styled } from "@mui/material/styles";
import Icons from "./Icons";
import useConfigFactory from "../useConfigFactory";
import { availableChains } from "../provider";
// import useWebThreeAuth from "../useWebThreeAuth";
var StyledBox = styled(Box)(function (_a) {
    var theme = _a.theme;
    return ({
        borderRadius: theme.shape.borderRadius,
        padding: theme.spacing(1),
        display: "flex",
        flexDirection: "column",
        justifyContent: "space-between",
    });
});
export default function ConnectWalletModal() {
    var config = useConfigFactory()();
    var chain = availableChains.find(function (x) { return x.network === config.chain; });
    var _a = useConnect(), connectWagmi = _a.connect, connectors = _a.connectors, error = _a.error, isLoading = _a.isLoading, pendingConnector = _a.pendingConnector;
    // const { connect: connectWeb3Auth, web3auth, pending } = useWebThreeAuth();
    var _b = React.useState(false), open = _b[0], setOpen = _b[1];
    var handleOpen = function () { return setOpen(true); };
    var handleClose = function () { return setOpen(false); };
    var wagmiConnectors = connectors.map(function (connector) { return (_jsxs(LoadingButton, __assign({ fullWidth: true, variant: "outlined", disableElevation: true, disabled: !connector.ready, startIcon: Icons[connector.id], onClick: function () {
            connectWagmi({
                connector: connector,
                chainId: chain === null || chain === void 0 ? void 0 : chain.id,
            });
        }, loading: isLoading && connector.id === (pendingConnector === null || pendingConnector === void 0 ? void 0 : pendingConnector.id) }, { children: [connector.name, !connector.ready && " (uninstalled)"] }), connector.id)); });
    // const webThreeAuthConnector = (
    //   <LoadingButton
    //     fullWidth
    //     variant="outlined"
    //     disableElevation
    //     startIcon={Icons["torus"]}
    //     disabled={!web3auth}
    //     onClick={async () => {
    //       connectWeb3Auth();
    //       handleClose();
    //     }}
    //   >
    //     {"Sign in with email"}
    //     {!web3auth && " (unavailable)"}
    //   </LoadingButton>
    // );
    return (_jsxs("div", { children: [_jsx(LoadingButton, __assign({ onClick: handleOpen, variant: "contained", 
                // loading={pending}
                // disabled={pending}
                disableElevation: true }, { children: "Connect Wallet" })), _jsxs(StyledModal, __assign({ open: open, onClose: handleClose, "aria-labelledby": "alert-dialog-title", "aria-describedby": "alert-dialog-description" }, { children: [_jsx(ModalTitle, { title: "Connect Wallet", handleClose: handleClose, disabled: false }), _jsx(DialogContent, { children: _jsxs(StyledBox, { children: [error && (_jsx(Alert, __assign({ sx: { my: 2 }, severity: "error" }, { children: error.message }))), _jsx(Stack, __assign({ spacing: 2, p: 1 }, { children: wagmiConnectors }))] }) })] }))] }));
}
