import React from "react";
import { PassConfig, RedeemAndRevealConfig, SimultaneousRevealConfig, UseCase } from "@inkerlabs/sdk";
import { Chain } from "wagmi";
import { Web3AuthOptions } from "@web3auth/web3auth";
interface ProviderCommonProps {
    children?: React.ReactNode;
    whiteLabel?: {
        defaultLanguage?: string;
        logo?: string;
    };
}
declare global {
    interface Window {
        chainConfig: ChainConfig;
        whiteLabel?: ProviderCommonProps["whiteLabel"];
    }
}
declare type ConfigProps = {
    useCase: UseCase.PASS;
    config: PassConfig;
} | {
    useCase: UseCase.RR;
    config: RedeemAndRevealConfig;
} | {
    useCase: UseCase.SR;
    config: SimultaneousRevealConfig;
};
declare type ProviderProps = ProviderCommonProps & ConfigProps;
declare type ChainConfig = Web3AuthOptions["chainConfig"] & {
    testnet?: boolean;
};
export declare const availableChains: Chain[];
export default function Provider({ children, ...props }: ProviderProps): JSX.Element;
export {};
